# BlogAI


curl https://api.openai.com/v1/threads/thread_abc123/runs \
  -H "Authorization: Bearer sk-" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v1" \
  -d '{
    "assistant_id": "asst_MuYhmDVKKSu1FnmcorA1yFWs"
  }'

curl https://api.openai.com/v1/threads \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-" \
  -H "OpenAI-Beta: assistants=v1" \
  -d ''


curl https://api.openai.com/v1/threads/thread_vfYEp6qDThTXupZSEI2DxLLV/runs \
  -H "Authorization: Bearer sk-" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v1" \
  -d '{
    "assistant_id": "asst_MuYhmDVKKSu1FnmcorA1yFWs"
  }'


curl https://api.openai.com/v1/threads/thread_vfYEp6qDThTXupZSEI2DxLLV/messages \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-" \
  -H "OpenAI-Beta: assistants=v1" \
  -d '{
      "role": "user",
      "content": "给我创建一个btc钱包"
    }'

curl https://api.openai.com/v1/models -H "Authorization: Bearer sk-"




curl https://api.openai.com/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-" \
-d '{
  "model": "ft:gpt-3.5-turbo-0613:personal:v-0-1:8CjF62ZP",
  "messages": [
    {
      "role": "user",
      "content": "我需要在不启动生物验证的前提上创建比特币单链钱包"
    }
  ]
}'

{
  "object": "list",
  "data": [
    {
      "id": "gpt-3.5-turbo-1106",
      "object": "model",
      "created": 1698959748,
      "owned_by": "system"
    },
    {
      "id": "dall-e-2",
      "object": "model",
      "created": 1698798177,
      "owned_by": "system"
    },
    {
      "id": "text-embedding-3-large",
      "object": "model",
      "created": 1705953180,
      "owned_by": "system"
    },
    {
      "id": "whisper-1",
      "object": "model",
      "created": 1677532384,
      "owned_by": "openai-internal"
    },
    {
      "id": "tts-1-hd-1106",
      "object": "model",
      "created": 1699053533,
      "owned_by": "system"
    },
    {
      "id": "tts-1-hd",
      "object": "model",
      "created": 1699046015,
      "owned_by": "system"
    },
    {
      "id": "gpt-3.5-turbo-0613",
      "object": "model",
      "created": 1686587434,
      "owned_by": "openai"
    },
    {
      "id": "gpt-4-1106-preview",
      "object": "model",
      "created": 1698957206,
      "owned_by": "system"
    },
    {
      "id": "gpt-3.5-turbo-0301",
      "object": "model",
      "created": 1677649963,
      "owned_by": "openai"
    },
    {
      "id": "gpt-4-0613",
      "object": "model",
      "created": 1686588896,
      "owned_by": "openai"
    },
    {
      "id": "gpt-4-0125-preview",
      "object": "model",
      "created": 1706037612,
      "owned_by": "system"
    },
    {
      "id": "gpt-4-turbo-preview",
      "object": "model",
      "created": 1706037777,
      "owned_by": "system"
    },
    {
      "id": "gpt-3.5-turbo-instruct-0914",
      "object": "model",
      "created": 1694122472,
      "owned_by": "system"
    },
    {
      "id": "gpt-4",
      "object": "model",
      "created": 1687882411,
      "owned_by": "openai"
    },
    {
      "id": "tts-1",
      "object": "model",
      "created": 1681940951,
      "owned_by": "openai-internal"
    },
    {
      "id": "davinci-002",
      "object": "model",
      "created": 1692634301,
      "owned_by": "system"
    },
    {
      "id": "gpt-3.5-turbo-instruct",
      "object": "model",
      "created": 1692901427,
      "owned_by": "system"
    },
    {
      "id": "babbage-002",
      "object": "model",
      "created": 1692634615,
      "owned_by": "system"
    },
    {
      "id": "gpt-4-vision-preview",
      "object": "model",
      "created": 1698894917,
      "owned_by": "system"
    },
    {
      "id": "tts-1-1106",
      "object": "model",
      "created": 1699053241,
      "owned_by": "system"
    },
    {
      "id": "gpt-3.5-turbo-0125",
      "object": "model",
      "created": 1706048358,
      "owned_by": "system"
    },
    {
      "id": "gpt-3.5-turbo",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "gpt-3.5-turbo-16k",
      "object": "model",
      "created": 1683758102,
      "owned_by": "openai-internal"
    },
    {
      "id": "text-embedding-ada-002",
      "object": "model",
      "created": 1671217299,
      "owned_by": "openai-internal"
    },
    {
      "id": "gpt-3.5-turbo-16k-0613",
      "object": "model",
      "created": 1685474247,
      "owned_by": "openai"
    },
    {
      "id": "text-embedding-3-small",
      "object": "model",
      "created": 1705948997,
      "owned_by": "system"
    },
    {
      "id": "dall-e-3",
      "object": "model",
      "created": 1698785189,
      "owned_by": "system"
    },
    {
      "id": "ft:gpt-3.5-turbo-0613:personal:v-0-1:8CjF62ZP",
      "object": "model",
      "created": 1698044540,
      "owned_by": "user-2316x6v3ug3mzmgjrwikqha0"
    },
    {
      "id": "ft:gpt-3.5-turbo-0613:personal:v-0-1:8LXHQ0cI",
      "object": "model",
      "created": 1700143508,
      "owned_by": "user-2316x6v3ug3mzmgjrwikqha0"
    }
  ]
}

asst_MuYhmDVKKSu1FnmcorA1yFWs



curl -s -H "Accept: application/json" 'http://127.0.0.1:8000/tx/f5134d4c7682b7d0984cecf718a2b477667cef167364a8a2d4fbce72f8b90428'
{"chain":"mainnet","etching":null,"inscription_count":0,"transaction":{"version":1,"lock_time":1052796329,"input":[{"previous_output":"0000000000000000000000000000000000000000000000000000000000000000:4294967295","script_sig":"0330850b2cfabe6d6dfc86c0bd900ffdcffcfbc0f4d4706e2054ceab13e1597b49fd3f0050b9d223e110000000f09f909f092f4632506f6f6c2f6b00000000000000000000000000000000000000000000000000000000000000000000000500511e1fea","sequence":0,"witness":["0000000000000000000000000000000000000000000000000000000000000000"]}],"output":[{"value":636970020,"script_pubkey":"76a914c825a1ecf2a6830c4401620c3a16f1995057c2ab88ac"},{"value":0,"script_pubkey":"6a24aa21a9eda149ecc623c6f1e31ac01e9ca64f327719507b984b3197114dbfa9672b953dc8"},{"value":0,"script_pubkey":"6a24486174687e2c235bdd5d1b6bc96d2061fbf88f9bc784bcd2684a91a7c13c911166109bb4"},{"value":0,"script_pubkey":"6a4c2952534b424c4f434b3aa4c949c1ad55adc0bce6192875cf7c074cd3d58edbb90a61f49ac4260046ffa1"}]},"txid":"f5134d4c7682b7d0984cecf718a2b477667cef167364a8a2d4fbce72f8b90428"}


$bcli importdescriptors '[{ "desc": "addr(bc1pakaswe2ww43e7s33tnt6y0y9ax6y3azf75sz6vdd2m389mw2p6tsafwajx)", "timestamp”:0, "internal": true }]'

bitcoin-cli importdescriptors '[{ "desc": "<my descriptor>", "timestamp":1455191478, "active": true, "range": [0,100], "label": "<my bech32 wallet>" }]'



$bcli createwallet foo-watch-only true true

$bcli loadwallet foo-watch-only


$bcli -rpcwallet=foo-watch-only importdescriptors  \
  '[{ "desc": "wpkh([bf1dd55e/84h/0h/0h]xpub6CcJtWcvFQaMo39ANFi1MyXkEXM8T8ZhnxMtSjQAdPmVSTHYnc8Hwoc11VpuP8cb8JUTboZB5A7YYGDonYySij4XTawL6iNZvmZwdnSEEep/0/*)#tpnxnxax", "timestamp":0 }]'

$bcli \ -rpcwallet=foo-watch-only
 importdescriptors \
 '[
   {
     "desc": "wpkh([bf1dd55e/84h/0h/0h]xpub6CcJtWcvFQaMo39ANFi1MyXkEXM8T8ZhnxMtSjQAdPmVSTHYnc8Hwoc11VpuP8cb8JUTboZB5A7YYGDonYySij4XTawL6iNZvmZwdnSEEep/0/*)#tpnxnxax"
     "timestamp":0
   },
   {
     "desc": "wpkh([bf1dd55e/84h/0h/0h]xpub6CcJtWcvFQaMo39ANFi1MyXkEXM8T8ZhnxMtSjQAdPmVSTHYnc8Hwoc11VpuP8cb8JUTboZB5A7YYGDonYySij4XTawL6iNZvmZwdnSEEep/1/*)#64k8wnd7",
     "timestamp":0
   }
 ]'


PGHOST: 127.0.0.1
PGPORT: 5432
PGUSER: postgres
PGPASSWORD: postgrespassword
PGDATABASE: ordinals

curl http://127.0.0.1:20456/ping


ordhook scan blocks --interval 767430:767753  --config-path=./Ordhook.toml

订阅功能
  未登录状态
    填写邮箱
      点击管理带入邮箱(完成)
        获取该用户订阅信息进行展示(完成)
    未填写邮箱
      进入页面，默认订阅全部选中(完成)
  登录状态  
    进入页面，根据用户token获取用户信息(进行中)
      进行用户信息填充(进行中)